Subject: bug#17005: 24.3.50; semantic is not finding cl-defun's and friends

From: Noam Postavsky <[email-masked]>
Date: Thu, 15 Aug 2019 08:45:16 -0400

Thierry Volpiatto <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> I'm not really a Semantic user, so I can't test this, but I assume by
>> "some trivial changes" you meant something like this, which I've now
>> applied to Emacs 27.  If that's the wrong thing to do, please revert.
>
> AFAIK cl-defun* doesn't exists, thus you need a few more changes, I am
> not a semantic user as well, so maybe some more changes are needed.

> -		 "(\\(let\\*?\\|def\\(un\\|method\\|generic\\|\
> +		 "(\\(let\\*?\\|cl-defun\\|def\\(un\\|method\\|generic\\|\

There is also cl-defmethod and cl-defgeneric, so it should probably be

		 "(\\(let\\*?\\|\\(?:cl-\\)?def\\(un\\|method\\|generic\\|\